function checkObject(obj) {
    if (!(typeof obj == 'object')) {
        return;
    };
    for ( var key in obj) {
        if (obj.hasOwnProperty(key) && (obj[key] == null || obj[key] == undefined)) {
            delete obj[key];
        }
    }
    return obj;
}

/**
 *  对象根据 ASCII 降序组装 
 * @param {*} obj 键值对对象
 */
function sortByASCII(obj){
    var arr = new Array();
    var num = 0;
    for (var i in obj) {
        arr[num] = i;
        num++;
    }
    var sortArr = arr.sort((a, b) => {
        return a>b?1:-1
    });
    var sortStrArr = [];
    for (var i in sortArr) {

        let s1 = sortArr[i];
        let s2 = obj[s1];
        let s3 = s1+"="+s2;

        sortStrArr.push(s3);
    }

    let string = sortStrArr.join('&');
    return string;
}

module.exports = {
    checkObject,
    sortByASCII
}